/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
Template:     generatepress
 Version:      0.1
*/
/* ==============================
   VARIABLES
============================== */
:root {
  --c-negro: #0f0f0f;
  --c-blanco: #FFFFFF;
  --c-primario: #ff0000;
  --c-secundario: #7a1717;
  --c-grisclaro: #ededed;
  --c-gris: #434343;
}

/* ==============================
   ACCESIBILIDAD / OUTLINE
============================== */
*:focus {
  outline: 2px solid #010101;
}

/* ==============================
   ESTILOS COMUNES
============================== */
.zindex0 {
  z-index: 0;
}

.zindex1 {
  z-index: 1;
}

a {
  text-decoration: none;
}

a,
a:hover {
  transition: all 0.4s ease !important;
}

/* ==============================
   LAYOUT GENERAL
============================== */
.grid-container {
  max-width: 1060px;
}

.content-area {
  padding: 0 20px;
}

h1.page-title {
  text-align: center;
}

/* ==============================
   NAVEGACIÓN
============================== */
.main-navigation ul {
  list-style: disc;
  color: #999999;
  font-size: 14px;
  margin: 0 27px;
}

.main-navigation .main-nav ul li a {
  padding-left: 0;
  padding-right: 37px;
  line-height: 40px;
  text-transform: lowercase;
}

.main-navigation.toggled .main-nav {
  padding-bottom: 20px;
}

.mobile-menu {
  text-transform: lowercase;
  font-size: 18px;
}

.main-nav li.current_page_item {
  list-style: none;
  /* quitamos el bullet original */
  position: relative;
  padding-left: 17px;
  /* espacio para el icono */
  margin-left: -17px;
}

.main-nav li.current_page_item::before {
  content: "";
  position: absolute;
  left: 0;
  top: 17px;
  width: 9px;
  height: 9px;
  background-image: url("/wp-content/uploads/2026/02/chevron-down-menu.svg");
  background-size: contain;
  background-repeat: no-repeat;
}

.gp-icon {
  top: 2px;
  position: relative;
}

/* ==============================
   ICONOS / ELEMENTOS DECORATIVOS
============================== */
.flecha.fina::after {
  bottom: -5.8px;
}

.elementor-widget-divider--view-line_text .elementor-divider-separator {
  align-items: baseline;
}

.gp-icon.icon-categories {
  display: none;
}

.linea-imagen {
  position: relative;
  z-index: 1;
}

.linea-imagen::after {
  content: "";
  position: absolute;
  top: 12%;
  left: 50%;
  transform: translateX(-50%);
  width: 100vw;
  height: 9px;
  background-color: #000;
  z-index: -1;
}

.elementor-divider span.elementor-divider-separator {
  align-items: baseline;
}

/* ==============================
   ARTÍCULOS / CONTENIDO
============================== */
.inside-article {
  position: relative;
}

.entry-summary p {
  position: relative;
  padding: 24px 28px;
  margin-left: auto;
  margin-right: 0;
  width: 90%;
  border: 1.4px solid #999999;
}

.entry-summary ::before {
  content: "";
  position: absolute;
  top: -1px;
  left: -20px;
  width: 30px;
  height: 30px;
  background: url("/wp-content/uploads/2026/02/esquina-2.svg") no-repeat center;
  background-size: contain;
}

.entry-summary:not(:first-child) {
  margin-top: 1em;
}

h2.entry-title {
  font-weight: 600;
  margin: 10px 0 25px
}

.entry-meta.cat-links {
  font-size: 18px;
  font-weight: 600;
}

.entry-meta.cat-links a {
  color: #0f0f0f;
}

.entry-meta.cat-links a:hover {
  color: #ff0000;
}

/* ==============================
   FORMULARIO DE CONTACTO (WPCF7)
============================== */
.default-form a {
  color: var(--c-negro)
}

.default-form,
.default-form .datos {
  display: flex;
  flex-direction: column;
  row-gap: 30px;
}

.default-form p {
  margin-bottom: 0;
  margin-block-end: 0 !important;
}

.default-form br {
  display: none;
}

.default-form .datos .campo>p,
.default-form>.campo>p {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  column-gap: 20px
}

.default-form>.campo>p {
  justify-content: flex-start;
  align-items: flex-start;
  column-gap: 80px;
}

.default-form .datos .campo>p label,
.default-form .datos .campo>p>span:last-child {
  flex: 0 0 170px;
  font-style: italic;
}

.default-form .campo>p label {
  font-style: italic;
}

.wpcf7-not-valid-tip {
  color: #999999;
}

.default-form input:not([type="checkbox"]) {
  background-color: var(--c-blanco) !important;
  border: none;
  border-bottom: 1px solid #999999;
  width: 100%;
  padding: 0 0 5px;
}

.default-form textarea {
  border-color: #999999;
  resize: none;
  padding: 25px;
}

.default-form span[data-name="tu-mensaje"] {
  flex: 1 0 auto;
  margin-top: 15px;
}

.default-form span[data-name="tu-mensaje"]::before {
  content: "";
  position: absolute;
  top: 0;
  left: -19px;
  width: 30px;
  height: 30px;
  background: url(/wp-content/uploads/2026/02/esquina-bg-blanco.svg) no-repeat center;
  background-size: contain;
}

.info-legal {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  /* margin-left: 155px; */
}

.rgpd .wpcf7-list-item {
  margin: 0;
}

.txt-legal {
  margin-bottom: 0;
  font-size: 0.8rem;
}

.txt-legal .tab-legal {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: flex-end;
  column-gap: 10px;
  /* margin-bottom: 15px; */
}

.txt-legal .tab-legal p {
  color: var(--c-negro) !important;
  font-size: 1.2em;
  margin-bottom: 10px;
}

.txt-legal .tab-legal:hover {
  cursor: pointer;
}

.txt-legal .tab-legal .plus-icon {
  margin-top: 4px;
}

.txt-legal .tab-legal .plus-icon svg {
  transform: rotate(45deg);
  fill: var(--c-negro);
}

.txt-legal .let-peq {
  margin: 0;
  padding-left: 20px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease-in-out;
}

.txt-legal .let-peq>p {
  font-size: 0.8rem;
  line-height: 1.25em !important;
  color: var(--texto) !important;
}

.btn-enviar,
.btn-enviar p {
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-enviar p {
  flex-direction: column;
}

.btn-enviar input[type="submit"] {
  border: none;
  background: none;
  width: 30px;
  height: 30px;
  padding: 0;
  font-size: 0;
  background-image: url("/wp-content/uploads/2026/02/submit.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.btn-enviar input[type="submit"]:hover {
  opacity: 0.70;
}

/* ==============================
   RESPONSIVE
============================== */
@media screen and (max-width: 1080px) {}

@media screen and (max-width: 780px) {
  .site-logo img {
    content: url("/wp-content/uploads/2026/02/en-lengua-de-gato-logo-small.svg");
  }
}

@media screen and (max-width: 600px) {

  .default-form .datos .campo>p,
  .default-form>.campo>p {
    flex-direction: column;
    align-items: flex-start;
  }

  .default-form .datos .campo>p label,
  .default-form .datos .campo>p>span:last-child {
    flex: 0 0 auto;
  }

  .default-form span[data-name="tu-mensaje"] {
    max-width: calc(100% - 30px);
    align-self: flex-end;
  }

  .default-form textarea {
    max-height: 150px;
  }

  .default-form span[data-name="tu-mensaje"]::before {
    top: -1px;
    left: -20px;
  }

  .info-legal {
    margin: 0;
  }
}

@media screen and (max-width: 560px) {}